
typedef struct {                 // an augmented dataset structure
  chunksSeqVec data;             // the dataset itself
  dsSitesStruct dsSites;    // a structure containing all the sites data
  RandomDsCreatorType *randomGenerator; // a structure containing the information needed to generate random copies
} analyzedSetType;


void initialize_test_matrix();

void printTests(testStruct *tests, char *pwmHeader);

testStruct *run_tests(analyzedSetType *set1, analyzedSetType *set2, PWM_Struct pwm);

int set_feature_test(char **testRecord, int nParms);

void set_numRandomSets(char *value);

void set_MC_scope(char *value);

void set_Kvalue(char *value);

void set_PercValue(char *value);

Boolean MCtestsRqstd();
Boolean GTTscoresRqstd();

analyzedSetType *alloc_analyzedSetType(chunksSeqVec dataSet);

void free_analyzedSetType(analyzedSetType *set);
